Package org.eclipse.birt.report.model.api.css

# Class CssStyleSheetHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.css.CssStyleSheetHandle

public class CssStyleSheetHandle extends ElementDetailHandle
Represents an include style sheet in the module. A style sheet is used for the user to load an external ".css" style file in the module.

See Also:
  - `CssStyleSheet`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.birt.report.model.css.CssStyleSheet`
`styleSheet`
The translation message.

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`CssStyleSheetHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.css.CssStyleSheet styleSheet)`
Constructs a handle for an style sheet.

## Method Summary

Modifier and Type
Method
Description
`SharedStyleHandle`
`findStyle(String name)`
Gets a style handle with the given name in the style sheet.
`DesignElementHandle`
`getContainerHandle()`
Gets container handle.
`String`
`getExternalCssURI()`
`String`
`getFileName()`
Gets css file name
`List`
`getParserErrors()`
Gets the message list for the parser errors.
`List`
`getParserFatalErrors()`
Gets the message list for the parser fatal errors.
`List`
`getParserWarnings()`
Gets the message list for the parser warnings.
`Iterator`
`getStyleIterator()`
Returns an iterator over the styles of this style sheet.
`org.eclipse.birt.report.model.css.CssStyleSheet`
`getStyleSheet()`
Gets the style sheet.
`List`
`getUnsupportedStyles()`
Returns all the unsupported style names.
`List`
`getWarnings(String styleName)`
Gets the warning list of the given style.
`boolean`
`isUseExternalCss()`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### styleSheet

protected org.eclipse.birt.report.model.css.CssStyleSheet styleSheet
The translation message.

## Constructor Details

### CssStyleSheetHandle

public CssStyleSheetHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.css.CssStyleSheet styleSheet)
Constructs a handle for an style sheet.

Parameters:
  `moduleHandle` - a handle to a module
  `styleSheet` - the style sheet to be handled

## Method Details

### getStyleSheet

public org.eclipse.birt.report.model.css.CssStyleSheet getStyleSheet()
Gets the style sheet.

Returns:
  the style sheet

### getStyleIterator

public Iterator getStyleIterator()
Returns an iterator over the styles of this style sheet. Useful only for style sheet. Returns a list of all the styles that use this style sheet.

Returns:
  an iterator over the styles of this style sheet. Each item returned by the iterator's `getNext( )` method is of type `SharedStyleHandle`.

### findStyle

public SharedStyleHandle findStyle(String name)
Gets a style handle with the given name in the style sheet.

Parameters:
  `name` - the name of the style to find
Returns:
  the style handle with the given name in the style sheet, otherwise `null`

### getUnsupportedStyles

public List getUnsupportedStyles()
Returns all the unsupported style names.

Returns:
  the list of the unsupported style name

### getWarnings

public List getWarnings(String styleName)
Gets the warning list of the given style. Each one in the list is instance of `StyleSheetParserException`.

Parameters:
  `styleName` - the style name
Returns:
  the warning list of the given style, otherwise null
See Also:
  - `StyleSheetParserException`

### getParserErrors

public List getParserErrors()
Gets the message list for the parser errors.

Returns:
  the message list for the parser errors

### getParserFatalErrors

public List getParserFatalErrors()
Gets the message list for the parser fatal errors.

Returns:
  the message list for the parser fatal errors

### getParserWarnings

public List getParserWarnings()
Gets the message list for the parser warnings.

Returns:
  the message list for the parser warnings

### getFileName

public String getFileName()
Gets css file name

Returns:
  css file name

### getExternalCssURI

public String getExternalCssURI()

### isUseExternalCss

public boolean isUseExternalCss()

### getContainerHandle

public DesignElementHandle getContainerHandle()
Gets container handle.

Returns: